<div class="container mt-5">
  <h2 class="text-center mb-4">Radar Parameters Configuration</h2>
  <div class="row justify-content-center">
    <div class="col-md-8 col-lg-6">
        <!-- <button type="submit" class="btn btn-primary" (click)="sendPostRequest()">Run</button>
        <button type="submit" class="btn btn-primary" (click)="sendClosePostRequest()">Close</button> -->
        <div class="form-group">
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config1" name="config" value="config1" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config1">
              Config 1
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config2" name="config" value="config2" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config2">
              Config 2
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config3" name="config" value="config3" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config3">
              Config 3
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config4" name="config" value="config4" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config4">
              Config 4
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config5" name="config" value="config5" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config5">
              Config 5
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config6" name="config" value="config6" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config6">
              Config 6
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config7" name="config" value="config7" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config7">
              Config 7
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="checkbox" id="config8" name="config" value="config8" (change)="disableOtherCheckboxes($event.target)">
            <label class="form-check-label" for="config8">
              Config 8
            </label>
          </div>
          <div class="form-group">
            <label for="alternative-config">Alternative Config:</label>
            <input type="number" class="form-control" id="alternative-config" (input)="disableOtherCheckboxes(null)">
          </div>
        </div>
        <button type="submit" class="btn btn-primary" onclick="saveConfig()">Save</button>
    </div>
  </div>
</div>
